



/* HEADER MENU */
/* ================================================== */

/* HEADER MENU : Theme STYLING
---------------------------------------------- */
#header-content,
#header-content .sub-menu {
    background: var(--color-ma-cream);
}

#header-content *,
#header-content ul a {
    /*color: black;*/
}
#header-content .menu > li > a {
    font-size: 28px;
    line-height: 1.2em;
}

#header-content .menu li {
    width: 100%;
    display: inline-block;
    border-bottom: 1px solid var(--white-50);
    font-size: 18px;
}

#header-content .logo-link img {
    width: 250px;
    height: auto;
    max-width: 100%;
}
#header-content .logo-link .r-logo-md img {
    width: 500px;
}

#header-content .logo-link img {
    margin-bottom: -0.35em;
}


#header-content .menu > li > a {
    position: relative;
    padding: 0.6em 0.6em 0.3em 0;
    font-weight: 500;
    text-decoration: none;
    display: block;
}
#header-content .current-menu-item > a {
    color: var(--color-secondary);
    text-decoration: underline !important;
    font-weight: 500;
}
#header-content .logo-link a,
#header-content .icon--menu,
#header-content .menu li a {
    /*border: 1px solid rgba(128, 184, 255, 0);*/
}
#header-content .logo-link a:focus,
#header-content .icon--menu:focus,
#header-content .menu li a:focus {
    /*border: 1px solid rgba(128, 184, 255, 0.5);*/
}
#header-content .menu li a:after {
    font-family: 'themify';
    /*content: "\e628";*/
    font-size: 0.8em;
    margin-left: 10px;
}
#header-content .menu li.external-link a:after {
    content: "\e732";
}





/* Mega Menu */
/* --------------------------------------- */
#header-content .hide-in-mega-menu {
    display: none !important;
}

.mega-menu {
    /*background: #fff;*/
    display: none;
    /*min-height: calc(100vh - 78px);*/
    height: calc(100vh - 65px);
    overflow-y: scroll;


    /*opacity: 0;*/
    /*-webkit-transition: opacity 1s ease-out;*/
    /*-moz-transition: opacity 1s ease-out;*/
    /*transition: opacity 1s ease-out;*/
}
.admin-bar .mega-menu {
    max-height: calc(100vh - 107px);
}
@media only screen and (max-width: 480px) {
    .wp-header-menu a {
        font-size: 1em;
    }
}

.mega-menu .menu-sections {
    column-count: 3;
    /*column-width: 33%;*/
}
.mega-menu .menu-section a {
    width: 100%
}
.mega-menu-open .mega-menu {
    display: block;
    z-index: 1;

    /*opacity: 1;*/
    /*-webkit-transition-delay: .2s;*/
    /*-moz-transition-delay: .2s;*/
    /*transition-delay: .2s;*/
}
.icon--menu.mega-menu-trigger:before {
    display: none;
}
.icon--menu.mega-menu-trigger:after {
    font-family: Dashicons;
    content: "\f333";
    font-size: 28px;
    line-height: 14px;
    position: relative;
    top: 0.5rem;
    color: var(--color-secondary);
}
.mega-menu-open .icon--menu.mega-menu-trigger:after {
    font-family: Dashicons;
    content: "\f335";
    content: "\f158";
    /*"\e646";*/
}


.icon--menu.mega-menu-trigger .trigger-label .is-closed,
.icon--menu.mega-menu-trigger .trigger-label .is-open {
    display: none;
}
@media only screen and (min-width: 480px) {

    .icon--menu.mega-menu-trigger .trigger-label .is-closed {
        display: inline-block;
    }
    .mega-menu-open .icon--menu.mega-menu-trigger .trigger-label .is-open {
        display: inline-block;
    }
    .mega-menu-open .icon--menu.mega-menu-trigger .trigger-label .is-closed {
        display: none;
    }
}




/* Exhibit Welcome Menu */
#menu-exhibit-welcome.menu > li {
    padding: 0;
}
#menu-exhibit-welcome.menu > li > a,
#header-content .menu > li > a {
    font-size: 21px;
    line-height: 1.2em;
}

#header-content #menu-exhibit-welcome {
    width: 100%;
    border-bottom: none;
}
#header-content #menu-exhibit-welcome > li > .sub-menu {
    display: block;
    position: relative;
    max-width: none;
    background: none;
    margin: 0 0 1rem
}
#header-content #menu-exhibit-welcome > li > .sub-menu > li {
    width: auto;
    /*display: inline-block;*/
    border: none;
}
#header-content #menu-exhibit-welcome > li > .sub-menu > li > a {
    font-size: 16px;
    padding: 0 1px 0 4px;
}
#header-content #menu-exhibit-welcome > li > .sub-menu {
    column-count: 1;
}
@media only screen and (min-width: 480px) {
    #header-content #menu-exhibit-welcome > li > .sub-menu {
        column-count: 2;
    }
}
@media only screen and (min-width: 576px) {
    #header-content #menu-exhibit-welcome > li > .sub-menu {
        column-count: 1;
    }
}
@media only screen and (min-width: 620px) {
    #header-content #menu-exhibit-welcome > li > .sub-menu {
        column-count: 2;
    }
}
@media only screen and (min-width: 768px) {

    #header-content #menu-exhibit-welcome > li > .sub-menu {
        column-count: 3;
    }
}
@media only screen and (min-width: 992px) {
    #header-content #menu-exhibit-welcome > li > .sub-menu > li + li {
        border-left: 1px solid var(--white-50);
    }

    #header-content #menu-exhibit-welcome > li > .sub-menu {
        column-count: 1;
    }
    #header-content #menu-exhibit-welcome > li > .sub-menu > li {
        display: inline-block;
    }
}

@media only screen and (max-width: 992px) {
    #header-content #menu-exhibit-welcome > li > .sub-menu {
        padding-left: 5px;
    }
    #header-content #menu-exhibit-welcome > li > .sub-menu > li {
        width: 100%;
        display: list-item;
        list-style: none;
        margin-left: 10px;
    }
    #header-content #menu-exhibit-welcome > li > .sub-menu > li::marker {
        content: '•';
        color: var(--white-50)
    }
}


/* Exhibit Menu */
#exhibit-menu .menu {
    text-align: left;
}
#exhibit-menu .menu li {
    width: 100%;
    display: inline-block;
}
#exhibit-menu .nav-desc {
    font-size: 16px;
    text-transform: uppercase;
    color: var(--white-50);
    font-family: 'Lato', Sans-Serif;
}
#exhibit-menu {
    padding-bottom: 30px;
}
@media only screen and (min-width: 767px) {
    #menu-exhibit-welcome.menu > li {
        /*padding: 0 10px;*/
        border-top: 1px solid var(--white-50);
    }
    #menu-exhibit-welcome.menu > li > a {
        font-size: 36px;
        line-height: 1.2em;
    }
}
@media only screen and (min-width: 576px) {
    #menu-exhibit-menu {
        border-bottom: none;
    }
}
@media only screen and (min-width: 992px) {
    #about-menu .menu > li > a {
        padding: 10px 0px;
    }
    #header-content .menu > li > a {
        max-width: 13em;
    }
    #menu-exhibit-menu {
        column-count: 2;
        column-gap: 3rem;
    }
}
@media only screen and (min-width: 1160px) {
    #menu-exhibit-menu {
        column-count: 2;
        column-gap: 6rem;
    }
}


/* About Menu */
#about-menu .menu li a {
    /*text-transform: uppercase;*/
    font-size: 18px;
    /*font-family: 'Lato', Sans-Serif;*/
}





/* Hide accessible elements*/
/* --------------------------------------- */
#header-content .menu li.menu-item-has-children > a + button.sub-menu-icon {
    display: none;
}
#header-content .sub-menu li > a {
    width: 100%;
}
#header-content .sub-menu li.menu-item-has-children > a {
    max-width: 100%;
}










#header-content .trp-language-switcher:focus .trp-ls-shortcode-language,
#header-content .trp-language-switcher:hover .trp-ls-shortcode-language {
    padding: 0;
}
#header-content .trp_language_switcher_shortcode {
    padding-right: 0.75rem;
    /*bottom: -2px;*/
    position: relative;
}
#header-content .trp-language-switcher > div {
    box-sizing: border-box;
    padding: 0;
    border: 1px solid var(--color-secondary);
    border-radius: 0;
    background-color: var(--color-ma-cream);
    /*color: var(--color-primary-d1);*/
    background-position: calc(100% - 5px) 6px;
}
#header-content .trp-language-switcher {
    width: auto;
    height: auto;
}
#header-content .trp-language-switcher > div > a:hover {
    background: var(--color-primary);
    color: var(--color-ma-cream);
    border-radius: 2px;
}
#header-content .trp-language-switcher > div > a {
    padding: 0px 3px;
    font-size: 14px;
    line-height: 1.4;
}
#header-content .trp-ls-shortcode-current-language {
    background-position: calc(100% - 11px) calc(1em + -6px), calc(100% - 3px) calc(1em + 0px);
}
#header-content .trp-language-switcher:focus .trp-ls-shortcode-language,
#header-content .trp-language-switcher:hover .trp-ls-shortcode-language {
    top: 3px;
}